Announcement Announcement Module
Collapse
No announcement yet.
Can't start Roo shell - "error starting file" Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Can't start Roo shell - "error starting file"

    I get this error when trying to run Roo:

    ERROR: Error starting file:/D:/springsource/spring-roo-1.1.5.RELEASE/bundle/org.springframework.roo.addon.back
    up-1.1.5.RELEASE.jar (org.osgi.framework.BundleException: Unresolved constraint in bundle org.springframework.
    roo.addon.backup [7]: Unable to resolve 7.0: missing requirement [7.0] package; (&(package=org.springframework
    .roo.file.monitor.event)(version>=1.1.0)(!(version >=2.0.0))) [caused by: Unable to resolve 40.0: missing requi
    rement [40.0] package; (&(package=org.springframework.roo.support.ant)(ve rsion>=1.1.0)(!(version>=2.0.0))) [ca
    used by: Unable to resolve 53.0: missing requirement [53.0] package; (package=javax.xml.namespace)]])
    org.osgi.framework.BundleException: Unresolved constraint in bundle org.springframework.roo.addon.backup [7]:
    Unable to resolve 7.0: missing requirement [7.0] package; (&(package=org.springframework.roo.file.monitor.ev en
    t)(version>=1.1.0)(!(version>=2.0.0))) [caused by: Unable to resolve 40.0: missing requirement [40.0] package;
    (&(package=org.springframework.roo.support.ant)(ve rsion>=1.1.0)(!(version>=2.0.0))) [caused by: Unable to res
    olve 53.0: missing requirement [53.0] package; (package=javax.xml.namespace)]]
    at org.apache.felix.framework.Felix.resolveBundle(Fel ix.java:3409)
    at org.apache.felix.framework.Felix.startBundle(Felix .java:1719)
    at org.apache.felix.framework.Felix.setActiveStartLev el(Felix.java:1148)
    at org.apache.felix.framework.StartLevelImpl.run(Star tLevelImpl.java:264)
    at java.lang.Thread.run(Unknown Source)
    ERROR: Error starting file:/D:/springsource/spring-roo-1.1.5.RELEASE/bundle/org.springframework.roo.addon.conf
    igurable-1.1.5.RELEASE.jar (org.osgi.framework.BundleException: Unresolved constraint in bundle org.springfram
    ework.roo.addon.configurable [8]: Unable to resolve 8.0: missing requirement [8.0] package; (&(package=org.spr
    ingframework.roo.classpath)(version>=1.1.0)(!(vers ion>=2.0.0))) [caused by: Unable to resolve 37.0: missing re
    quirement [37.0] package; (&(package=org.springframework.roo.file.monitor)(v ersion>=1.1.0)(!(version>=2.0.0)))
    [caused by: Unable to resolve 40.0: missing requirement [40.0] package; (&(package=org.springframework.roo.su
    pport.ant)(version>=1.1.0)(!(version>=2.0.0))) [caused by: Unable to resolve 53.0: missing requirement [53.0]
    package; (package=javax.xml.namespace)]]])
    org.osgi.framework.BundleException: Unresolved constraint in bundle org.springframework.roo.addon.configurable
    [8]: Unable to resolve 8.0: missing requirement [8.0] package; (&(package=org.springframework.roo.classpath)(
    version>=1.1.0)(!(version>=2.0.0))) [caused by: Unable to resolve 37.0: missing requirement [37.0] package; (&
    (package=org.springframework.roo.file.monitor)(ver sion>=1.1.0)(!(version>=2.0.0))) [caused by: Unable to resol
    ve 40.0: missing requirement [40.0] package; (&(package=org.springframework.roo.support.ant)(ve rsion>=1.1.0)(!
    (version>=2.0.0))) [caused by: Unable to resolve 53.0: missing requirement [53.0] package; (package=javax.xml.
    namespace)]]]
    at org.apache.felix.framework.Felix.resolveBundle(Fel ix.java:3409)
    at org.apache.felix.framework.Felix.startBundle(Felix .java:1719)
    at org.apache.felix.framework.Felix.setActiveStartLev el(Felix.java:1148)
    at org.apache.felix.framework.StartLevelImpl.run(Star tLevelImpl.java:264)
    at java.lang.Thread.run(Unknown Source)
    ERROR: Error starting file:/D:/springsource/spring-roo-1.1.5.RELEASE/bundle/org.springframework.roo.addon.crea
    tor-1.1.5.RELEASE.jar (org.osgi.framework.BundleException: Unresolved constraint in bundle org.springframework
    .roo.addon.creator [9]: Unable to resolve 9.0: missing requirement [9.0] package; (package=javax.xml.parsers))

    org.osgi.framework.BundleException: Unresolved constraint in bundle org.springframework.roo.addon.creator [9]:
    Unable to resolve 9.0: missing requirement [9.0] package; (package=javax.xml.parsers)
    at org.apache.felix.framework.Felix.resolveBundle(Fel ix.java:3409)
    at org.apache.felix.framework.Felix.startBundle(Felix .java:1719)
    at org.apache.felix.framework.Felix.setActiveStartLev el(Felix.java:1148)
    at org.apache.felix.framework.StartLevelImpl.run(Star tLevelImpl.java:264)
    at java.lang.Thread.run(Unknown Source)



    The exceptions go on and on. My paths are set properly, I'm using jdk 1.5. I'm also using Springsource Tool Suite and cant' run roo shell from there either.

  • #2
    I downloaded the latest Felix.jar and it works fine now. Thanks for your help.

    Comment

    Working...
    X